package com.ssj.bean.weixin.libmy.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_lib_subscribe")
public class TbLibSubscribe extends BaseEntity {

	/**
	 * user_id varchar(36) not null comment 'tb_lib_vip id',
	order_date datetime not null comment '预约到馆日期',
	order_time datetime not null comment '预约到馆时间',
	confirm_user varchar(36) comment '确认预约人',
	confirm_time datetime comment '确认预约时间',
	ryke_time datetime comment '抵达时间',
	ryke_confirm_user varchar(36) commnet '确认抵达人',
	leave_time datetime comment '离馆时间',
	leave_confirm_user comment '确认离馆操作人'
	 */
	private static final long serialVersionUID = 1L;

	private String userId;
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date orderDate;
	@DateTimeFormat(pattern="HH:mm")
	private Date orderTime;
	private String confirmUser;
	private Date confirmTime;
	private Date createTime;
	private String rykeConfirmUser;
	private Date rykeTime;
	private String stat;  //1--可用--2不可用
	private String flowStat; //流程状态 1、预约，2、确认预约、3、确认到馆、4、离馆
	private Date leaveTime; //离馆时间
	private String leaveConfirmUser;//确认离馆操作人
	private String vipId;
	private String libId; //所在馆
	
	
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public Date getOrderDate() {
		return orderDate;
	}
	
	public void setOrderDate(Date orderDate) {
		this.orderDate = orderDate;
	}
	public Date getOrderTime() {
		return orderTime;
	}
	public void setOrderTime(Date orderTime) {
		this.orderTime = orderTime;
	}
	public String getConfirmUser() {
		return confirmUser;
	}
	public void setConfirmUser(String confirmUser) {
		this.confirmUser = confirmUser;
	}
	public Date getConfirmTime() {
		return confirmTime;
	}
	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getRykeConfirmUser() {
		return rykeConfirmUser;
	}
	public void setRykeConfirmUser(String rykeConfirmUser) {
		this.rykeConfirmUser = rykeConfirmUser;
	}
	public Date getRykeTime() {
		return rykeTime;
	}
	public void setRykeTime(Date rykeTime) {
		this.rykeTime = rykeTime;
	}
	public String getStat() {
		return stat;
	}
	public void setStat(String stat) {
		this.stat = stat;
	}
	public String getFlowStat() {
		return flowStat;
	}
	public void setFlowStat(String flowStat) {
		this.flowStat = flowStat;
	}
	public Date getLeaveTime() {
		return leaveTime;
	}
	public void setLeaveTime(Date leaveTime) {
		this.leaveTime = leaveTime;
	}
	public String getLeaveConfirmUser() {
		return leaveConfirmUser;
	}
	public void setLeaveConfirmUser(String leaveConfirmUser) {
		this.leaveConfirmUser = leaveConfirmUser;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	
	
}
